[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r957 ./packages/openofficeorg/2.3.1/experimental: complete ENABLE_OPENSSL conditional...



------------------------------------------------------------
revno: 957
committer: Rene Engelhard <rene@debian.org>
branch nick: debian
timestamp: Wed 2007-11-21 11:41:56 +0100
message:
  complete ENABLE_OPENSSL conditional...
added:
  control.ogltrans.in
  openoffice.org-ogltrans.postinst.in
  openoffice.org-ogltrans.preinst.in
  openoffice.org-ogltrans.prerm.in
modified:
  changelog
  rules
=== added file 'control.ogltrans.in'
--- a/control.ogltrans.in	1970-01-01 00:00:00 +0000
+++ b/control.ogltrans.in	2007-11-21 10:41:56 +0000
@@ -0,0 +1,13 @@
+Package: openoffice.orgVER-ogltrans
+Section: graphics
+Priority: extra
+Architecture: %OOO_ARCHS%
+Depends: §{shlibs:Depends}, openoffice.orgVER-core
+Enhances: openoffice.orgVER-impress
+Description: OpenOffice.org "OpenGL rendered transitions" extension
+ OpenOffice.org is a full-featured office productivity suite that provide
+ a near drop-in replacement for Microsoft(R) Office.
+ .
+ This package contains the extension making OpenOffice.org able to use
+ OpenGL for impress transitions.
+

=== added file 'openoffice.org-ogltrans.postinst.in'
--- a/openoffice.org-ogltrans.postinst.in	1970-01-01 00:00:00 +0000
+++ b/openoffice.org-ogltrans.postinst.in	2007-11-21 10:41:56 +0000
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+THIS_PACKAGE=openoffice.org-ogltrans
+THIS_SCRIPT=postinst
+
+#INCLUDE_SHELL_LIB#
+
+if [ "$1" = "configure" -o "$1" = "upgrade" ]; then
+	add_extension /usr/lib/openoffice/share/extension/install/libOGLTrans.uno.so
+fi
+
+#DEBHELPER#
+
+exit 0

=== added file 'openoffice.org-ogltrans.preinst.in'
--- a/openoffice.org-ogltrans.preinst.in	1970-01-01 00:00:00 +0000
+++ b/openoffice.org-ogltrans.preinst.in	2007-11-21 10:41:56 +0000
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+# preinst script for openoffice.org-ogltrans
+
+THIS_PACKAGE=openoffice.org-ogltrans
+THIS_SCRIPT=preinst
+
+#INCLUDE_SHELL_LIB#
+
+case "$1" in
+	upgrade)
+		# this is a legacy package, so we need to find it first...
+		id=`/usr/lib/openoffice/program/unopkg list --shared | grep Identifier:.*OGLTrans | cut -d":" -f2`
+		remove_extension $id
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0

=== added file 'openoffice.org-ogltrans.prerm.in'
--- a/openoffice.org-ogltrans.prerm.in	1970-01-01 00:00:00 +0000
+++ b/openoffice.org-ogltrans.prerm.in	2007-11-21 10:41:56 +0000
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+# preinst script for openoffice.org-ogltrans
+
+THIS_PACKAGE=openoffice.org-ogltrans
+THIS_SCRIPT=prerm
+
+#INCLUDE_SHELL_LIB#
+
+case "$1" in
+	remove)
+		# this is a legacy package, so we need to find it first...
+                id=`/usr/lib/openoffice/program/unopkg list --shared | grep Identifier:.*OGLTrans | cut -d":" -f2`
+                remove_extension $id
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0

=== modified file 'changelog'
--- a/changelog	2007-11-20 12:40:15 +0000
+++ b/changelog	2007-11-21 10:41:56 +0000
@@ -9,6 +9,12 @@
     - "fix" override disparity of -gcj
   * debian/control.in:
     - make -l10n-in depend on -mr-in, too
+  * debian/control.ogltrans.in, debian/rules,
+    debian/openoffice.org-ogltrans*:
+    - package the new "OpenGL rendered transitions" UNO package as
+      openoffice.org-ogltrans when ENABLE_OPENGL=y. Add OOO_ARCHS to
+  * debian/rules:
+    - add $(OOO_ARCHS) to the mesa builddeps
 
  -- Rene Engelhard <rene@debian.org>  Tue, 20 Nov 2007 13:35:00 +0100
 

=== modified file 'rules'
--- a/rules	2007-11-16 13:39:42 +0000
+++ b/rules	2007-11-21 10:41:56 +0000
@@ -280,7 +280,7 @@
 endif
 
 ifeq "$(ENABLE_OPENGL)" "y"
-	BUILD_DEPS += , libgl1-mesa-dev, libglu1-mesa-dev
+	BUILD_DEPS += , libgl1-mesa-dev [$(OOO_ARCHS)], libglu1-mesa-dev [$(OOO_ARCHS)]
 	CONFIGURE_FLAGS += --enable-opengl
 endif
 
@@ -1091,6 +1091,10 @@
 	sed -e "s|openoffice.orgVER|openoffice.org$(VER)|g" \
 		>> debian/control < debian/control.mozilla.in
 endif
+ifeq "$(ENABLE_OPENGL)" "y"
+	sed -e "s|openoffice.orgVER|openoffice.org$(VER)|g" \
+		>> debian/control < debian/control.ogltrans.in
+endif
 ifeq "$(PACKAGE_TTF_OPENSYMBOL)" "y"
 	sed -e "s|openoffice.orgVER|openoffice.org$(VER)|g" \
 		>> debian/control < debian/control.fonts.in
@@ -2055,6 +2059,12 @@
 	install -D -m644 $(SOURCE_TREE)/connectivity/$(shell . $(SOURCE_TREE)/*.sh; echo $$OUTPATH$$PROEXT)/lib/postgresql-sdbc-$(shell grep ^PQ_SDBC_M $(SOURCE_TREE)/connectivity/source/drivers/postgresql/makefile.mk | cut -d"=" -f2 | xargs | sed -e s/\ /\./g).zip \
 		$(PKGDIR)-sdbc-postgresql/$(OODIR)/share/extension/install/postgresql-sdbc-$(shell grep ^PQ_SDBC_M $(SOURCE_TREE)/connectivity/source/drivers/postgresql/makefile.mk | cut -d"=" -f2 | xargs | sed -e s/\ /\./g).zip
 
+ifeq "$(ENABLE_OPENGL)" "y"
+	rm -rf $(PKGDIR)-ogltrans
+	install -D -m644 $(SOURCE_TREE)/slideshow/$(shell . $(SOURCE_TREE)/*.sh; echo $$OUTPATH$$PROEXT)/lib/libOGLTrans.uno.so \
+		$(PKGDIR)-ogltrans/$(OODIR)/share/extension/install/libOGLTrans.uno.so
+endif
+
 	for i in $(ARCH_DEP_PACKAGES); do \
 		install -D -m644 debian/presubj \
 			debian/$$i/usr/share/bug/$$i/presubj; \


Reply to: